Edit

Restore Points - Create Restore Point

Creates a restore point for a warehouse at the current timestamp.

This API supports long running operations (LRO).

Permissions

The caller must have write warehouse permission.

Required Delegated Scopes

Warehouse.ReadWrite.All or Item.ReadWrite.All

Limitations

Warehouse deletes both the system-created and user-defined restore point at the expiry of the 30 calendar day retention period.

A restore point cannot be created if there is already a restore point creation already in-progress or during warehouse creation, deletion or rename.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/warehouses/{warehouseId}/restorePoints

URI Parameters

Name In Required Type Description
warehouseId
path True

string (uuid)

The warehouse ID.

workspaceId
path True

string (uuid)

The workspace ID.

Request Body

Name Type Description
description

string

The restore point description. Maximum length is 512 characters.

displayName

string

The restore point name. Maximum length is 128 characters.

Responses

Name Type Description
201 Created

RestorePoint

Successfully created

202 Accepted

Request accepted, restore point creation in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • RestorePointCreationAlreadyInProgress - A restore point creation is already in-progress.

Examples

Create a restore point example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/warehouses/5b218778-e7a5-4d73-8187-f10824047715/restorePoints

{
  "displayName": "Restore point 1",
  "description": "Restore point 1 description."
}

Sample response

{
  "id": "1726617378000",
  "displayName": "Restore point 1",
  "description": "Restore point 1 description.",
  "creationMode": "UserDefined",
  "creationDetails": {
    "eventDateTime": "2024-10-18T22:17:09Z",
    "eventInitiator": {
      "id": "f3052d1c-61a9-46fb-8df9-0d78916ae041",
      "displayName": "Jacob Hancock",
      "type": "User",
      "userDetails": {
        "userPrincipalName": "jacob@contoso.com"
      }
    }
  }
}
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30

Definitions

Name Description
CreateRestorePointRequest

Create restore point request payload.

CreationModeType

The creation mode of the restore point. Additional creation mode types may be added over time.

EntireTenantPrincipal

Represents a tenant principal

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

GroupPrincipal

Represents a security group.

GroupType

The type of the group. Additional group types may be added over time.

PrincipalType

The type of the principal. Additional principal types may be added over time.

RestorePoint

The properties of a restore point.

RestorePointEventDetails

The restore point event details.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

UserDetails

User principal specific details. Applicable when the principal type is User.

UserPrincipal

Represents a Microsoft Entra user principal.

CreateRestorePointRequest

Create restore point request payload.

Name Type Description
description

string

The restore point description. Maximum length is 512 characters.

displayName

string

The restore point name. Maximum length is 128 characters.

CreationModeType

The creation mode of the restore point. Additional creation mode types may be added over time.

Value Description
UserDefined

User defined restore point.

SystemCreated

System created restore point.

EntireTenantPrincipal

Represents a tenant principal

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

EntireTenant

The type of the principal. Additional principal types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

Name Type Description
groupType

GroupType

The type of the group. Additional group types may be added over time.

GroupPrincipal

Represents a security group.

Name Type Description
displayName

string

The principal's display name.

groupDetails

GroupDetails

Group specific details. Applicable when the principal type is Group.

id

string (uuid)

The principal's ID.

type string:

Group

The type of the principal. Additional principal types may be added over time.

GroupType

The type of the group. Additional group types may be added over time.

Value Description
Unknown

Principal group type is unknown.

SecurityGroup

Principal is a security group.

DistributionList

Principal is a distribution list.

PrincipalType

The type of the principal. Additional principal types may be added over time.

Value Description
User

Principal is a Microsoft Entra user principal.

ServicePrincipal

Principal is a Microsoft Entra service principal.

Group

Principal is a security group.

ServicePrincipalProfile

Principal is a service principal profile.

EntireTenant

Principal represents all tenant users.

RestorePoint

The properties of a restore point.

Name Type Description
creationDetails

RestorePointEventDetails

The creation metadata of the restore point.

creationMode

CreationModeType

The creation mode of the restore point. Additional creation mode types may be added over time.

description

string

The restore point description.

displayName

string

The restore point name.

id

string

The restore point ID.

RestorePointEventDetails

The restore point event details.

Name Type Description
eventDateTime

string (date-time)

The time of the restore point event in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

eventInitiator Principal:

The principal that initiated the restore point event.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

Name Type Description
aadAppId

string (uuid)

The service principal's Microsoft Entra AppId.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalDetails

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

type string:

ServicePrincipal

The type of the principal. Additional principal types may be added over time.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

Name Type Description
parentPrincipal Principal:

The service principal profile's parent principal.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalProfileDetails

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

type string:

ServicePrincipalProfile

The type of the principal. Additional principal types may be added over time.

UserDetails

User principal specific details. Applicable when the principal type is User.

Name Type Description
userPrincipalName

string

The user principal name.

UserPrincipal

Represents a Microsoft Entra user principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

User

The type of the principal. Additional principal types may be added over time.

userDetails

UserDetails

User principal specific details. Applicable when the principal type is User.